Bug 1294914 - Keystroke doubling in gdm login screen
Keystroke doubling in gdm login screen
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-30 18:55 EST by Paul Loewenstein
Modified: 2016-12-20 12:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 12:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Loewenstein 2015-12-30 18:55:51 EST
User-Agent:       Mozilla/5.0 (Windows NT 6.0; rv:43.0) Gecko/20100101 Firefox/43.0
Build Identifier: 

After Fedora 21 to 23 upgrade, the gnome login screen enter each singly-entered keystroke twice, about 1 second apart.  Hitting the same key twice quickly results in 3 keystrokes.  This provides one workaround, since backspace can be used to delete two of them.  Identifying which keys get doubled when different keys are pressed is difficult, because the password prompt hides the echoed character.

Uncommenting WaylandEnable=false in /etc/gdm/custom.conf fixed the problem.

This problem seems to be machine-specific.  I have have performed the same update on another X86-64 machine without observing this issue.

The problematic machine is an HP Proliant N36L Microserver with HP Micro Server Remote Access Card.  The problem persists if the keystrokes are entered via a USB keyboard rather than over the network through the card.  However, to test whether the problem goes away if the card's display is not used requires removing the card, which I prefer not to do unless you need this test performed (significant dismantling/reassembly is required on this machine to add or remove cards).

Reproducible: Always

Steps to Reproduce:
1. Ensure WaylandEnable=false is commented out in /etc/gdm/custom.conf.
2. Reboot machine.
3. Try to log in through gdm.
Actual Results:  
Covered in details.

Expected Results:  
Covered in details.

Covered in details.
Comment 1 Fedora End Of Life 2016-11-24 09:36:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:30:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.